Bug 189660 - Emblems have no localized name
Emblems have no localized name
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
bzcl34nup
: FutureFeature, Translation
: 197511 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-22 02:47 EDT by Josep
Modified: 2012-04-03 12:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-03 12:38:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot identifying the emblems mentioned in the bug report (130.11 KB, image/png)
2006-04-22 02:53 EDT, Josep
no flags Details
Emblems in Nautilus, not translatable (165.20 KB, image/png)
2007-03-03 18:54 EST, Josep
no flags Details

  None (edit)
Description Josep 2006-04-22 02:47:43 EDT
Fedora Core ships with a set of icons characteristic from Red Hat products, some
of these icons provide new emblems to the GNOME desktop.

There a few issues with the package:

1) emblems in this package are not translated, neither it looks like they can be
(looking at redhat-artwork package for translation, which only has 6 messages).

I've identified some emblems in redhat-artwork that replace their original from
gnome-icon-theme (7 in total). The issue here is that the GNOME originals have a
translation (or are possible to translate), but the ones provided by
redhat-artwork does not.
The names given of these emblems are:
  art
  documents
  favorite
  multimedia
  package
  sound
  web

Emblems that are new and have no translation (12 in total):
  apps
  bug
  documentation
  edit
  gear
  home
  lock
  question
  rocket
  security
  video
  wordprocessor (maybe it should be split to "word processor"?)

2) All emblems provided in this package seem to start with a lower case letter,
although the ones provided in the default gnome-icon-theme all start with a
capital letter.


This issue might be present in previous releases of FC, and probably RHEL as well.
Comment 1 Josep 2006-04-22 02:53:52 EDT
Created attachment 128111 [details]
Screenshot identifying the emblems mentioned in the bug report

In this picture, emblems provided by redhat-artwork are surrounded by a red
square. Those emblems that are present in the "original" GNOME version (from
gnome-icon-theme), but that are replaced by the ones in redhat-artwork are
mkarked with an additional red star.
Comment 2 Josep 2006-11-30 19:36:54 EST
This seems to be present in FC6 too.
Comment 3 Josep 2007-03-03 18:54:34 EST
Created attachment 149194 [details]
Emblems in Nautilus, not translatable

The attached screenshot is taken on a Fedora 7 Test 2.

The issue is still preset.
Comment 4 Matthias Clasen 2007-10-02 00:57:41 EDT
*** Bug 197511 has been marked as a duplicate of this bug. ***
Comment 5 Bug Zapper 2008-04-03 13:12:55 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Josep 2008-04-03 15:18:05 EDT
The issue is still present in Fedora 8.
Comment 7 Josep 2008-04-05 20:39:42 EDT
Still present in rawhide (F9) too.
Comment 8 Bug Zapper 2008-05-13 22:08:40 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-06-09 18:09:08 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Josep 2009-06-09 18:23:56 EDT
Still an issue in F11, although now there are much less emblems than before.
Comment 11 Matthias Clasen 2009-08-29 14:58:08 EDT
If anything, this probably needs to be handled in gtk somehow.
Comment 12 Piotr Drąg 2009-12-19 06:28:51 EST
Still an issue on F12. I've also seen that emblems are translated in Ubuntu 9.10, so it's definitely possible to fix them.
Comment 13 Piotr Drąg 2012-04-03 12:38:12 EDT
There are no emblems in GNOME anymore, so this can be closed.

Note You need to log in before you can comment on or make changes to this bug.